Update a user
Updates user details. Roles can be updated to any valid public role.
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”Request Bodyrequired
Section titled “ Request Bodyrequired ”object
First name of the user
Last name of the user
Email address of the user
Job title of the user
Roles to assign to the user. Defaults to read-only if not provided.
Examples
{ "title": "Compliance Officer"}{ "firstName": "John", "lastName": "Doe", "email": "john.doe@example.com", "title": "Compliance Officer", "roles": [ "read-only" ]}Responses
Section titled “ Responses ”User updated
object
Unique identifier of the user
External ID from authentication provider
First name of the user
Last name of the user
Email address of the user
Job title of the user
ID of the active account this user is currently scoped to
All account memberships for the user
object
Account ID
Account name
Date when account was deactivated. Null if active.
Signed URL for the account logo image. Null if no logo has been uploaded.
User creation date
User last update date
When the user last authenticated. Null if no authenticated session has been recorded for them.
Date when user was deactivated. Null if user is active.
User status
Roles of the user
Auth0 user metadata
object
Example
{ "id": "60d5ecb54b24003a7c8e92b2", "externalId": "auth0|507f1f77bcf86cd799439011", "firstName": "John", "lastName": "Smith", "email": "john.smith@example.com", "title": "Compliance Officer", "activeAccountId": "60d5ecb54b24003a7c8e92a1", "accounts": [ { "id": "60d5ecb54b24003a7c8e92a1", "name": "Acme Corporation", "deactivatedAt": null, "logoUrl": null } ], "createdAt": "2026-03-30T12:00:00.000Z", "updatedAt": "2026-03-30T12:00:00.000Z", "lastLoginAt": "2026-03-30T12:00:00.000Z", "deactivatedAt": null, "status": "ACTIVE", "roles": [ "read-only" ], "metadata": { "requireMFA": true }}User not found